### Hierarchy

- LoDashStatic

## Index

### Methods

- add
- ceil
- divide
- floor
- max
- maxBy
- mean
- meanBy
- min
- minBy
- multiply
- round
- subtract
- sum
- sumBy

## Methods

### add

- add(augend: number, addend: number): number

- - Defined in node_modules/@types/lodash/common/math.d.ts:13

  Adds two numbers.

  #### Parameters

  - ##### augend: number

    The first number to add.

  - ##### addend: number

    The second number to add.

  #### Returns number

  Returns the sum.

### ceil

- ceil(n: number, precision?: undefined | number): number

- - Defined in node_modules/@types/lodash/common/math.d.ts:43

  Calculates n rounded up to precision.

  #### Parameters

  - ##### n: number

    The number to round up.

  - ##### Optional precision: undefined | number

    The precision to round up to.

  #### Returns number

  Returns the rounded up number.

### divide

- divide(dividend: number, divisor: number): number

- - Defined in node_modules/@types/lodash/common/math.d.ts:73

  Divide two numbers.

  #### Parameters

  - ##### dividend: number

    The first number in a division.

  - ##### divisor: number

    The second number in a division.

  #### Returns number

  Returns the quotient.

### floor

- floor(n: number, precision?: undefined | number): number

- - Defined in node_modules/@types/lodash/common/math.d.ts:103

  Calculates n rounded down to precision.

  #### Parameters

  - ##### n: number

    The number to round down.

  - ##### Optional precision: undefined | number

    The precision to round down to.

  #### Returns number

  Returns the rounded down number.

### max

- max<T>(collection: List<T> | null | undefined): T | undefined

- - Defined in node_modules/@types/lodash/common/math.d.ts:134

  Computes the maximum value of `array`. If `array` is empty or falsey `undefined` is returned.

  category

    Math

  #### Type parameters

  - #### T

  #### Parameters

  - ##### collection: List<T> | null | undefined

  #### Returns T | undefined

  Returns the maximum value.

### maxBy

- maxBy<T>(collection: List<T> | null | undefined, iteratee?: ValueIteratee<T>): T | undefined

- - Defined in node_modules/@types/lodash/common/math.d.ts:176

  This method is like `_.max` except that it accepts `iteratee` which is invoked for each element in `array` to generate the criterion by which the value is ranked. The iteratee is invoked with one argument: (value).

  category

    Math

  example

    var objects = [{ 'n': 1 }, { 'n': 2 }];

    _.maxBy(objects, function(o) { return o.a; }); // => { 'n': 2 }

    // using the `_.property` iteratee shorthand _.maxBy(objects, 'n'); // => { 'n': 2 }

  #### Type parameters

  - #### T

  #### Parameters

  - ##### collection: List<T> | null | undefined

  - ##### Optional iteratee: ValueIteratee<T>

    The iteratee invoked per element.

  #### Returns T | undefined

  Returns the maximum value.

### mean

- mean(collection: List<any> | null | undefined): number

- - Defined in node_modules/@types/lodash/common/math.d.ts:216

  Computes the mean of the values in `array`.

  category

    Math

  example

    _.mean([4, 2, 8, 6]); // => 5

  #### Parameters

  - ##### collection: List<any> | null | undefined

  #### Returns number

  Returns the mean.

### meanBy

- meanBy<T>(collection: List<T> | null | undefined, iteratee?: ValueIteratee<T>): number

- - Defined in node_modules/@types/lodash/common/math.d.ts:250

  Computes the mean of the provided propties of the objects in the `array`

  category

    Math

  example

    _.mean([{ 'n': 4 }, { 'n': 2 }, { 'n': 8 }, { 'n': 6 }], 'n'); // => 5

  #### Type parameters

  - #### T

  #### Parameters

  - ##### collection: List<T> | null | undefined

  - ##### Optional iteratee: ValueIteratee<T>

    The iteratee invoked per element.

  #### Returns number

  Returns the mean.

### min

- min<T>(collection: List<T> | null | undefined): T | undefined

- - Defined in node_modules/@types/lodash/common/math.d.ts:287

  Computes the minimum value of `array`. If `array` is empty or falsey `undefined` is returned.

  category

    Math

  #### Type parameters

  - #### T

  #### Parameters

  - ##### collection: List<T> | null | undefined

  #### Returns T | undefined

  Returns the minimum value.

### minBy

- minBy<T>(collection: List<T> | null | undefined, iteratee?: ValueIteratee<T>): T | undefined

- - Defined in node_modules/@types/lodash/common/math.d.ts:329

  This method is like `_.min` except that it accepts `iteratee` which is invoked for each element in `array` to generate the criterion by which the value is ranked. The iteratee is invoked with one argument: (value).

  category

    Math

  example

    var objects = [{ 'n': 1 }, { 'n': 2 }];

    _.minBy(objects, function(o) { return o.a; }); // => { 'n': 1 }

    // using the `_.property` iteratee shorthand _.minBy(objects, 'n'); // => { 'n': 1 }

  #### Type parameters

  - #### T

  #### Parameters

  - ##### collection: List<T> | null | undefined

  - ##### Optional iteratee: ValueIteratee<T>

    The iteratee invoked per element.

  #### Returns T | undefined

  Returns the minimum value.

### multiply

- multiply(multiplier: number, multiplicand: number): number

- - Defined in node_modules/@types/lodash/common/math.d.ts:364

  Multiply two numbers.

  #### Parameters

  - ##### multiplier: number

    The first number in a multiplication.

  - ##### multiplicand: number

    The second number in a multiplication.

  #### Returns number

  Returns the product.

### round

- round(n: number, precision?: undefined | number): number

- - Defined in node_modules/@types/lodash/common/math.d.ts:394

  Calculates n rounded to precision.

  #### Parameters

  - ##### n: number

    The number to round.

  - ##### Optional precision: undefined | number

    The precision to round to.

  #### Returns number

  Returns the rounded number.

### subtract

- subtract(minuend: number, subtrahend: number): number

- - Defined in node_modules/@types/lodash/common/math.d.ts:429

  Subtract two numbers.

  category

    Math

  example

    _.subtract(6, 4); // => 2

  #### Parameters

  - ##### minuend: number

    The first number in a subtraction.

  - ##### subtrahend: number

    The second number in a subtraction.

  #### Returns number

  Returns the difference.

### sum

- sum(collection: List<any> | null | undefined): number

- - Defined in node_modules/@types/lodash/common/math.d.ts:467

  Computes the sum of the values in `array`.

  category

    Math

  example

    _.sum([4, 2, 8, 6]); // => 20

  #### Parameters

  - ##### collection: List<any> | null | undefined

  #### Returns number

  Returns the sum.

### sumBy

- sumBy<T>(collection: List<T> | null | undefined, iteratee?: function | string): number

- - Defined in node_modules/@types/lodash/common/math.d.ts:507

  This method is like `_.sum` except that it accepts `iteratee` which is invoked for each element in `array` to generate the value to be summed. The iteratee is invoked with one argument: (value).

  category

    Math

  example

    var objects = [{ 'n': 4 }, { 'n': 2 }, { 'n': 8 }, { 'n': 6 }];

    _.sumBy(objects, function(o) { return o.n; }); // => 20

    // using the `_.property` iteratee shorthand _.sumBy(objects, 'n'); // => 20

  #### Type parameters

  - #### T

  #### Parameters

  - ##### collection: List<T> | null | undefined

  - ##### Optional iteratee: function | string

  #### Returns number

  Returns the sum.

Generated using TypeDoc